from quart import Quart
from applications.database import mysql_manager
from routes import server_routes

app = Quart(__name__)
routes = server_routes(mysql_manager)
app.register_blueprint(routes)


@app.before_serving
async def startup():
    print("🚀 Starting application...")
    await mysql_manager.init_pools()


@app.after_serving
async def shutdown():
    print("🛑 Shutting down application...")
    await mysql_manager.close_pools()
